"""
    Main config
"""

from pygame.locals import *

class Config:
    # Screen dimensions
    width = 320
    def get_width(self): return self.width

    height = 240
    def get_height(self): return self.height

    center_x = width / 2
    def get_center_x(self): return self.center_x

    center_y = height / 2
    def get_center_y(self): return self.center_y

    # Key mappings
    left    = K_LEFT
    def get_left(self): return self.left

    right   = K_RIGHT
    def get_right(self): return self.right
    
    up      = K_UP
    def get_up(self): return self.up
    
    down    = K_DOWN
    def get_down(self): return self.down
    
    jump    = K_SPACE
    def get_jump(self): return self.jump
    
    quit    = K_ESCAPE
    def get_quit(self): return self.quit

    # General
    debug   = False
    def get_debug(self): return self.debug

    scale2x = False
    def get_scale2x(self): return self.scale2x

config = Config() 



